"use client";

import React from "react";
import useSession from "@/lib/hooks/useSession";
import {cn} from "@/lib/utils";

export default function NavBarContainer({children,}: Readonly<{ children: React.ReactNode; }>) {
    const sessionHook = useSession();

    return (
        <aside
            className={cn("fixed md:top-0 md:left-0 border-t md:border-r border-[0.5px] w-full md:w-20 h-20 md:h-full py-5 md:pb-5 md:pt-0 px-4 md:px-0 flex flex-row md:flex-col items-center transition-all duration-500 bg-white dark:bg-gray-100 z-[10]", {"hidden md:flex": sessionHook.isSessionChatOpened})}>
            {children}
        </aside>
    )
}